Updated: 2011-09-21 Due date:
Complexity:
Subject: @ignorevalidation annotation expects parameter name without $ (dollar sign)
Description

When using the @ignorevalidation annotation, the parameter name must be given without a dollar sign, which is extremely
counter-intuitive.

This was introduced with https://review.typo3.org/#change,816

Associated revisions
Revision 87418d9b - 2011-09-20 11:27 - Karsten Dambekalns

[BUGFIX] Fix check against @ignorevalidation annotations

The check for argument names against @ignorevalidation annotations
was done with the raw argument name, but the annotation is to be
given with a leading dollar sign:

@ignorevalidation $fooBar

The check thus always failed.

Change-Id: I001bbb639e03fb7db6aaf88eca558155f1b879f6
Fixes: #29761

History
#1 - 2011-09-14 00:17 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I001bbb639e03fb7db6aaf88eca558155f1b879f6 has been pushed to the review server.
It is available at http://review.typo3.org/4954

#2 - 2011-09-20 11:28 - Mr. Hudson

Patch set 2 of change I001bbb639e03fb7db6aaf88eca558155f1b879f6 has been pushed to the review server.
It is available at http://review.typo3.org/4954

#3 - 2011-09-21 15:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:87418d9b0b8c9454993da1e4b6711c8e363f5469.
